package com.xkrs.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.xkrs.common.encapsulation.PromptMessageEnum;
import com.xkrs.common.tools.GetTokenTool;
import com.xkrs.common.tools.GetVideoTool;
import com.xkrs.common.tools.JackSonTool;
import com.xkrs.dao.AlarmDao;
import com.xkrs.dao.EquipmentDao;
import com.xkrs.model.entity.Equipment;
import com.xkrs.util.DateTimeUtil;
import com.xkrs.util.Query;
import com.xkrs.util.RequestUtil;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

import java.util.*;

import static com.xkrs.common.encapsulation.OutputEncapsulation.outputEncapsulationObject;

@RestController
public class EquipmentController {

    @Resource
    private EquipmentDao equipmentDao;

    @Resource
    private AlarmDao alarmDao;

    @Resource
    private Query query;

    Locale locale = LocaleContextHolder.getLocale();

    /*@GetMapping("/getEquipment")
    public String getEquipment(){
        Locale locale = LocaleContextHolder.getLocale();

        // 鉴权拿到token
        String token = GetTokenTool.getToken();

        String urlGet = "https://111.26.161.203:443/admin/API/tree/devices";
        JSONObject jsonObject2 = new JSONObject();
        jsonObject2.put("orgCode","");
        List list = new ArrayList();
        jsonObject2.put("deviceCodes",list);
        jsonObject2.put("categories",list);
        String s = jsonObject2.toString();

        String doPostJsonGetData = RequestUtil.doPostJsonGetData(urlGet, s, token);
        Map json2map = JackSonTool.json2map(doPostJsonGetData);
        LinkedHashMap data1 = (LinkedHashMap ) json2map.get("data");
        String json = JSON.toJSONString(data1);
        Map map4 = JackSonTool.json2map(json);
        List<Map> devices = (List<Map>) map4.get("devices");
        for(Map obj : devices){
            Equipment equipment = new Equipment();
            equipment.setEquipmentCode(obj.get("code").toString());
            equipment.setEquipmentName(obj.get("name").toString());
            String type = obj.get("type").toString();
            if("1".equals(type)){
                equipment.setEquipmentType("DVR");
            }else if("2".equals(type)){
                equipment.setEquipmentType("IPC");
            }else if("3".equals(type)){
                equipment.setEquipmentType("NVS");
            }else if("5".equals(type)){
                equipment.setEquipmentType("MDVR");
            }else if("6".equals(type)){
                equipment.setEquipmentType("NVR");
            }else if("9".equals(type)){
                equipment.setEquipmentType("PVR");
            }else if("10".equals(type)){
                equipment.setEquipmentType("EVS");
            }else if("12".equals(type)){
                equipment.setEquipmentType("SMART_IPC");
            }else if("14".equals(type)){
                equipment.setEquipmentType("SMART_NVR");
            }else if("21".equals(type)){
                equipment.setEquipmentType("VTT");
            }else if("26".equals(type)){
                equipment.setEquipmentType("TC");
            }else if("28".equals(type)){
                equipment.setEquipmentType("DSJ");
            }else if("29".equals(type)){
                equipment.setEquipmentType("MPT");
            }else if("34".equals(type)){
                equipment.setEquipmentType("WATCHER");
            }else if("35".equals(type)){
                equipment.setEquipmentType("MCS");
            }else {
                equipment.setEquipmentType("IVSS");
            }
            equipment.setEquipmentStatus(obj.get("status").toString());
            String modifyTime = DateTimeUtil.timeMillisToString(Long.parseLong(obj.get("modifyTime").toString()));
            equipment.setInstallationTime(modifyTime);
            equipmentDao.save(equipment);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "设备入库成功!", locale);
    }*/

    /**
     * 查询实时视频信息
     * @return
     */
    @GetMapping("/findVideoPath")
    public String findVideoPath(){
        List<Map<String, String>> videoPath = equipmentDao.findVideoPath();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, videoPath, locale);
    }

    /**
     * 获取录像的url
     * @RequestParam("alarmCodes") String alarmCodes
     * @param
     * @return
     * @throws JsonProcessingException
     */
    @PostMapping("/findVideo")
    public String findVideo(@RequestBody Map map) throws JsonProcessingException {
        String alarmCodes = (String) map.get("alarmCodes");
        String video = GetVideoTool.getVideo(alarmCodes);

        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,video,locale);
    }

    /**
     * 获取设备信息
     * @return
     */
    @GetMapping("/findEquipment")
    public String findEquipment(){
        List<Map<String, String>> equipment = equipmentDao.findEquipment();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,equipment,locale);
    }

    /**
     * 查询录像回放，根据设备编码和时间段
     * @param map
     * @return
     * @throws JsonProcessingException
     */
    @PostMapping("/getHistoricalVideo")
    public String getHistoricalVideo(@RequestBody Map map) throws JsonProcessingException {
        // 设备编码
        String deviceCode = (String) map.get("deviceCode");
        // 开始时间
        String beginTime = (String) map.get("beginTime");
        // 结束时间
        String endTime = (String) map.get("endTime");
        if(deviceCode == null || "".equals(deviceCode)){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE,"设备编码不能为空！",locale);
        }
        if(beginTime == null || "".equals(beginTime)){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE,"开始时间不能为空！",locale);
        }
        if(endTime == null || "".equals(endTime)){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE,"结束时间不能为空！",locale);
        }
        String token = GetTokenTool.getToken();
        String url = "https://111.26.161.203:443/admin/API/hls/getRecordUrl?token=" + token;
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("devicecode",deviceCode);
        jsonObject.put("chnSeq","0");
        jsonObject.put("streamType","1");
        jsonObject.put("recordSource","3");
        jsonObject.put("beginTime",beginTime);
        jsonObject.put("recordType","0");
        jsonObject.put("endTime",endTime);
        List list = new ArrayList(3);
        list.add(jsonObject);
        JSONObject jsonObject1 = new JSONObject();
        jsonObject1.put("hlsBeanXoList",list);
        /*JSONObject jsonObject2 = new JSONObject();
        jsonObject2.put("data",jsonObject1);*/
        String s = RequestUtil.doPostJson(url, jsonObject1.toString());
        ObjectMapper objectMapper = new ObjectMapper();
        JsonNode jsonNode = objectMapper.readTree(s);
        String data = jsonNode.get("data").asText();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,data,locale);
    }


    /**
     * 根据街道查询相应的设备信息
     * @param street
     * @return
     */
    @GetMapping("/selectEquipmentByStreet")
    public String selectEquipmentByStreet(@RequestParam("street") String street){
        List<Map<String, Object>> maps = equipmentDao.selectEquipmentByStreet(street);
        if(maps == null || maps.size() == 0){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE, "暂时没有该街道的设备信息！", locale);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, maps, locale);
    }

    /**
     * 根据报警编码查询报警类型
     * @param alarmCode
     * @return
     */
    @GetMapping("/findAlarmTypeByCode")
    public String findAlarmTypeByCode(@RequestParam("alarmCode") String alarmCode){
        String alarmTypeByCode = alarmDao.findAlarmTypeByCode(alarmCode);
        if(alarmTypeByCode == null || "".equals(alarmTypeByCode)){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE, "暂时没有该编号的报警类型！", locale);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, alarmTypeByCode, locale);
    }

    /**
     * 根据不同的行业查询设备信息
     * @param agriculture
     * @param habitat
     * @param waterConservancy
     * @param forestry
     * @return
     */
    @GetMapping("/selectEquipment")
    public String selectEquipment(@RequestParam("agriculture") String agriculture,
                                  @RequestParam("habitat") String habitat,
                                  @RequestParam("waterConservancy") String waterConservancy,
                                  @RequestParam("forestry") String forestry){
        List<Equipment> equipment = query.selectEquipment(agriculture, habitat, waterConservancy, forestry);
        if(equipment == null || equipment.size() == 0){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE, "暂时没有您所需要的信息！", locale);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, equipment, locale);
    }
}
