package com.xkrs.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.xkrs.common.encapsulation.PromptMessageEnum;
import com.xkrs.common.tools.GetTokenTool;
import com.xkrs.common.tools.JackSonTool;
import com.xkrs.dao.EquipmentDao;
import com.xkrs.model.entity.DeviceManagement;
import com.xkrs.model.entity.Equipment;
import com.xkrs.model.entity.Fire;
import com.xkrs.util.*;
import com.xkrs.websocket.server.WebSocketServer;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.*;

import static com.xkrs.common.encapsulation.OutputEncapsulation.outputEncapsulationObject;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/8 14:32
 */
@RestController
public class TestController {

    Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private EquipmentDao equipmentDao;

    /**
     * 获取录像的url
     * @param
     * @return
     * @throws JsonProcessingException
     *//*
    @GetMapping("/getVideos")
    public String getVideo(@RequestParam("alarmCode") String alarmCode) throws JsonProcessingException {
        String token = GetTokenTool.getToken();
        String url = "https://111.26.161.203:443/admin/API/SS/Record/GetAlarmRecords?token=" + token;
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("clientType","WINPC_V1");
        jsonObject.put("clientMac","30:9c:23:79:40:08");
        jsonObject.put("clientPushId","");
        jsonObject.put("project","PSDK");
        jsonObject.put("method","SS.Record.GetAlarmRecords");
        JSONObject jsonObject1 = new JSONObject();
        jsonObject1.put("alarmCode",alarmCode);
        jsonObject1.put("optional","/admin/API/SS/Record/GetAlarmRecords");
        jsonObject.put("data",jsonObject1);
        String s = RequestUtil.doPostJson(url, jsonObject.toString());
        ObjectMapper objectMapper = new ObjectMapper();
        JsonNode jsonNode = objectMapper.readTree(s);
        JsonNode data = jsonNode.get("data");
        JsonNode records = data.get("records").get(0);

        String urlVideo = "/admin/API/SS/Playback/StartPlaybackByFile?token=" + token;
        JSONObject jsonObject2 = new JSONObject();
        jsonObject2.put("ssId",records.get("ssId").asText());
        jsonObject2.put("optional",urlVideo);
        jsonObject2.put("fileName",records.get("recordName").asText());
        jsonObject2.put("startTime",records.get("startTime").asText());
        jsonObject2.put("endTime",records.get("endTime").asText());
        jsonObject2.put("recordType",records.get("recordType").asText());
        jsonObject2.put("diskId",records.get("diskId").asText());
        jsonObject2.put("recordSource",records.get("recordSource").asText());
        jsonObject2.put("channelId",records.get("channelId").asText());
        jsonObject2.put("streamId",records.get("streamId").asText());
        jsonObject2.put("enableRtsps","0");
        jsonObject2.put("nvrId","");
        JSONObject jsonObject3 = new JSONObject();
        jsonObject3.put("data",jsonObject2);
        String s1 = RequestUtil.doPostJson("https://111.26.161.203:443"+urlVideo, jsonObject3.toString());
        ObjectMapper objectMapper1 = new ObjectMapper();
        JsonNode jsonNode1 = objectMapper1.readTree(s1);
        JsonNode data1 = jsonNode1.get("data");
        String url1 = data1.get("url").asText();

        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,url1,locale);
    }*/

    /**
     * 获取天气信息的接口
     * @return
     */
    @GetMapping("/getWeather")
    public JsonNode getWeather(){
        JsonNode forecastWeather = WeatherUtils.getForecastWeather();
        JsonNode results = forecastWeather.path("results");
        JsonNode jsonNode = results.get(0);
        JsonNode daily = jsonNode.path("daily");
        JsonNode jsonNode1 = daily.get(0);

        return jsonNode1;
    }

    /**
     * 获取设备信息
     * @return
     */
    @GetMapping("/getmanagement")
    public  JsonNode getManagement(){
        JsonNode forecastWeather = ManagementUtil.getManagement();
        JsonNode results = forecastWeather.path("results");
        JsonNode jsonNode = results.get(0);
        JsonNode daily = jsonNode.path("daily");
        JsonNode jsonNode1 = daily.get(0);
        return jsonNode1;
    }
    @PostMapping("/updateVideoPath")
    @Transactional(rollbackOn = Exception.class)
    public String updateVideoPath(){
        List<Equipment> allInformation = equipmentDao.findAllInformation();
        for(Equipment equipment : allInformation){
            String equipmentCode = equipment.getEquipmentCode();
            String url = "http://111.26.161.203:7086/live/cameraid/"+equipmentCode+"%240/substream/1.m3u8";
            equipmentDao.updateVideo(equipmentCode,url);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,"成功！",locale);
    }
    /**
     * 获取设备分页
     * @return
     */
    @GetMapping("/getPaging")
    public  String getPaging( String para) {
        String forecastWeather = ManagementUtil.getPaging(para);

        List<Map<String, String>> listObjectFir = (List<Map<String, String>>) JSONArray.parse(forecastWeather);
        ObjectMapper objectMapper = new ObjectMapper();
        JsonNode jsonNode = null;
        try {
            jsonNode = objectMapper.readTree(forecastWeather);
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
        List<DeviceManagement> item= new ArrayList<>();
        String method = jsonNode.get("method").asText();
        if("vms.alarm.msg".equals(method)){
            JsonNode info = jsonNode.get("info");
            DeviceManagement fire = new DeviceManagement();
            fire.setDeviceName(info.get("deviceName").asText());
            fire.setDeviceCode(info.get("deviceCode").asText());
            fire.setDeviceSn(info.get("deviceSn").asText());
            fire.setDeviceCategory(Integer.valueOf(info.get("deviceCategory").asText()));
            fire.setDeviceType(Integer.valueOf(info.get("deviceType").asText()));
            fire.setDeviceManufacturer(info.get("deviceManufacturer").asText());
            fire.setDeviceModel(info.get("deviceModel").asText());
            fire.setDeviceIp(info.get("deviceIp").asText());
            fire.setDevicePort(Integer.valueOf(info.get("devicePort").asText()));
            fire.setOwnerCode(info.get("ownerCode").asText());
            //fire.setOwnerOrgName(Integer.valueOf(info.get("ownerOrgName").asText()));
            fire.setIsOnline(Integer.valueOf(info.get("isOnline").asText()));
            fire.setSubSystem(info.get("subSystem").asText());
            fire.setDevExt(info.get("devExt").asText());
            item.add(fire);
        }

        return  "成功！";
        }
}
