package com.xkrs.controller;

import com.xkrs.common.encapsulation.PromptMessageEnum;
import com.xkrs.dao.WeatherDao;
import com.xkrs.model.entity.Weather;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Locale;

import static com.xkrs.common.encapsulation.OutputEncapsulation.outputEncapsulationObject;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/14 10:50
 */
@RestController
public class WeatherController {

    @Resource
    private WeatherDao weatherDao;

    Locale locale = LocaleContextHolder.getLocale();

    /**
     * 根据时间查询天气的状况
     * @param weatherTime
     * @return
     */
    @GetMapping("/getWeatherByTime")
    public String getWeatherByTime(@RequestParam("weatherTime") String weatherTime){
        Weather byWeatherTime = weatherDao.findByWeatherTime(weatherTime);
        if(byWeatherTime == null){
            return outputEncapsulationObject(PromptMessageEnum.DATA_NONE,"暂时还没有该天的天气状况！",locale);
        }
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS,byWeatherTime,locale);
    }


}
