package com.xkrs.dao;

import com.xkrs.model.entity.Alarm;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/18 11:58
 */
@Component
public interface AlarmDao extends JpaRepository<Alarm,Long> {

    /**
     * 根据报警编号查询报警类型
     * @param code
     * @return
     */
    @Query(value = "select alarm_type from alarm where alarm_code = ?",nativeQuery = true)
    String findAlarmTypeByCode(String code);
}
