package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/18 11:37
 */
@Entity
@Table(name = "alarm")
public class Alarm {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "alarm_seq_gen")
    @SequenceGenerator(name = "alarm_seq_gen", sequenceName = "alarm_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 报警类型
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String alarmType;

    /**
     * 报警编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String alarmCode;

    public Alarm() {
    }

    public Alarm(Integer id, String alarmType, String alarmCode) {
        this.id = id;
        this.alarmType = alarmType;
        this.alarmCode = alarmCode;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmCode() {
        return alarmCode;
    }

    public void setAlarmCode(String alarmCode) {
        this.alarmCode = alarmCode;
    }

    @Override
    public String toString() {
        return "Alarm{" +
                "id=" + id +
                ", alarmType='" + alarmType + '\'' +
                ", alarmCode='" + alarmCode + '\'' +
                '}';
    }
}
