package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/18 11:37
 */
@Entity
@Table(name = "CameraInformation")
public class CameraInformation {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "alarm_seq_gen")
    @SequenceGenerator(name = "alarm_seq_gen", sequenceName = "alarm_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 摄像头id
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraId;

    /**
     * 位置
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraPosition;
    /**
     * 状态
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraState;

    /**
     * 类型
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraType;
    /**
     * 安装时间
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraTime;

    /**
     * 名称
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String cameraName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCameraId() {
        return cameraId;
    }

    public void setCameraId(String cameraId) {
        this.cameraId = cameraId;
    }

    public String getCameraPosition() {
        return cameraPosition;
    }

    public void setCameraPosition(String cameraPosition) {
        this.cameraPosition = cameraPosition;
    }

    public String getCameraState() {
        return cameraState;
    }

    public void setCameraState(String cameraState) {
        this.cameraState = cameraState;
    }

    public String getCameraType() {
        return cameraType;
    }

    public void setCameraType(String cameraType) {
        this.cameraType = cameraType;
    }

    public String getCameraTime() {
        return cameraTime;
    }

    public void setCameraTime(String cameraTime) {
        this.cameraTime = cameraTime;
    }

    public String getCameraName() {
        return cameraName;
    }

    public void setCameraName(String cameraName) {
        this.cameraName = cameraName;
    }
}
