package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/4 8:23
 */
@Entity
@Table(name = "DeviceManagement")
public class DeviceManagement {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "equipment_seq_gen")
    @SequenceGenerator(name = "equipment_seq_gen", sequenceName = "equipment_id_seq",allocationSize = 1)
    private Integer id;
    /**
     * 设备名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String deviceName;
    /**
     * 设备编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String deviceCode;
    /**
     * 设备唯一标识码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String deviceSn;
    /**
     * 设备大类
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private int deviceCategory;
    /**
     * 设备小类
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private int deviceType;
    /**
     * 厂商类型
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String deviceManufacturer;
    /**
     * 设备型号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String deviceModel;
    /**
     * 设备ip
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String deviceIp;
    /**
     * 设备端口
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private int devicePort;
    /**
     * 设备所属组织
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String ownerCode;
    /**
     * 添加方式
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String loginType;
    /**
     * 登录名称
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String loginName;
    /**
     * 登录密码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String loginPassword;
    /**
     * 主动注册代理端口
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private int registProxyPort;
    /**
     * 主动注册服务器编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String registDeviceCode;
    /**
     * 通道描述
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String memo;
    /**
     * 在线状态
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private int isOnline;
    /**
     * 光栅图
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private long mapId;
    /**
     * 经度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String gpsX;
    /**
     * 纬度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String gpsY;
    /**
     * 设备所属子系统
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String subSystem;
    /**
     * 设备扩展属性
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String devExt;
    /**
     * 通道序号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String channelSeq;
    /**
     *通道名称
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String channelName;
      /**
     * 实时视频
     */
    private String liveVideo;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public int getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(int deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public int getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(int deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceManufacturer() {
        return deviceManufacturer;
    }

    public void setDeviceManufacturer(String deviceManufacturer) {
        this.deviceManufacturer = deviceManufacturer;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getDeviceIp() {
        return deviceIp;
    }

    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    public int getDevicePort() {
        return devicePort;
    }

    public void setDevicePort(int devicePort) {
        this.devicePort = devicePort;
    }

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getLoginPassword() {
        return loginPassword;
    }

    public void setLoginPassword(String loginPassword) {
        this.loginPassword = loginPassword;
    }

    public int getRegistProxyPort() {
        return registProxyPort;
    }

    public void setRegistProxyPort(int registProxyPort) {
        this.registProxyPort = registProxyPort;
    }

    public String getRegistDeviceCode() {
        return registDeviceCode;
    }

    public void setRegistDeviceCode(String registDeviceCode) {
        this.registDeviceCode = registDeviceCode;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public int getIsOnline() {
        return isOnline;
    }

    public void setIsOnline(int isOnline) {
        this.isOnline = isOnline;
    }

    public long getMapId() {
        return mapId;
    }

    public void setMapId(long mapId) {
        this.mapId = mapId;
    }

    public String getGpsX() {
        return gpsX;
    }

    public void setGpsX(String gpsX) {
        this.gpsX = gpsX;
    }

    public String getGpsY() {
        return gpsY;
    }

    public void setGpsY(String gpsY) {
        this.gpsY = gpsY;
    }

    public String getSubSystem() {
        return subSystem;
    }

    public void setSubSystem(String subSystem) {
        this.subSystem = subSystem;
    }

    public String getDevExt() {
        return devExt;
    }

    public void setDevExt(String devExt) {
        this.devExt = devExt;
    }
}
