package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/8 9:01
 */
@Entity
@Table(name = "equipment")
public class Equipment {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "equipment_seq_gen")
    @SequenceGenerator(name = "equipment_seq_gen", sequenceName = "equipment_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 设备编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String equipmentCode;

    /**
     * 设备名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String equipmentName;

    /**
     * 设备类别
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String equipmentType;

    /**
     * 设备状态
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String equipmentStatus;

    /**
     * 设备经度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String equipmentLongitude;

    /**
     * 设备纬度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String equipmentLatitude;

    /**
     * 安装时间
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String installationTime;

    /**
     * 实时视频
     */
    private String liveVideo;

    /**
     * 街道信息
     */
    private String street;

    /**
     * 农业  0未用  1在用
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String agriculture;

    /**
     * 人居 0未用  1在用
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String habitat;

    /**
     * 水利  0未用  1在用
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String waterConservancy;

    /**
     * 林业   0未用  1在用
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String forestry;

    public Equipment() {
    }

    public Equipment(Integer id, String equipmentCode, String equipmentName, String equipmentType, String equipmentStatus, String equipmentLongitude, String equipmentLatitude, String installationTime, String liveVideo, String street, String agriculture, String habitat, String waterConservancy, String forestry) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.equipmentType = equipmentType;
        this.equipmentStatus = equipmentStatus;
        this.equipmentLongitude = equipmentLongitude;
        this.equipmentLatitude = equipmentLatitude;
        this.installationTime = installationTime;
        this.liveVideo = liveVideo;
        this.street = street;
        this.agriculture = agriculture;
        this.habitat = habitat;
        this.waterConservancy = waterConservancy;
        this.forestry = forestry;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getEquipmentCode() {
        return equipmentCode;
    }

    public void setEquipmentCode(String equipmentCode) {
        this.equipmentCode = equipmentCode;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentStatus() {
        return equipmentStatus;
    }

    public void setEquipmentStatus(String equipmentStatus) {
        this.equipmentStatus = equipmentStatus;
    }

    public String getEquipmentLongitude() {
        return equipmentLongitude;
    }

    public void setEquipmentLongitude(String equipmentLongitude) {
        this.equipmentLongitude = equipmentLongitude;
    }

    public String getEquipmentLatitude() {
        return equipmentLatitude;
    }

    public void setEquipmentLatitude(String equipmentLatitude) {
        this.equipmentLatitude = equipmentLatitude;
    }

    public String getInstallationTime() {
        return installationTime;
    }

    public void setInstallationTime(String installationTime) {
        this.installationTime = installationTime;
    }

    public String getLiveVideo() {
        return liveVideo;
    }

    public void setLiveVideo(String liveVideo) {
        this.liveVideo = liveVideo;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getAgriculture() {
        return agriculture;
    }

    public void setAgriculture(String agriculture) {
        this.agriculture = agriculture;
    }

    public String getHabitat() {
        return habitat;
    }

    public void setHabitat(String habitat) {
        this.habitat = habitat;
    }

    public String getWaterConservancy() {
        return waterConservancy;
    }

    public void setWaterConservancy(String waterConservancy) {
        this.waterConservancy = waterConservancy;
    }

    public String getForestry() {
        return forestry;
    }

    public void setForestry(String forestry) {
        this.forestry = forestry;
    }

    @Override
    public String toString() {
        return "Equipment{" +
                "id=" + id +
                ", equipmentCode='" + equipmentCode + '\'' +
                ", equipmentName='" + equipmentName + '\'' +
                ", equipmentType='" + equipmentType + '\'' +
                ", equipmentStatus='" + equipmentStatus + '\'' +
                ", equipmentLongitude='" + equipmentLongitude + '\'' +
                ", equipmentLatitude='" + equipmentLatitude + '\'' +
                ", installationTime='" + installationTime + '\'' +
                ", liveVideo='" + liveVideo + '\'' +
                ", street='" + street + '\'' +
                ", agriculture='" + agriculture + '\'' +
                ", habitat='" + habitat + '\'' +
                ", waterConservancy='" + waterConservancy + '\'' +
                ", forestry='" + forestry + '\'' +
                '}';
    }
}
