package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/8 15:09
 */
@Entity
@Table(name = "fire")
public class Fire {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "fire_seq_gen")
    @SequenceGenerator(name = "fire_seq_gen", sequenceName = "fire_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 设备编号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String deviceCode;

    /**
     * 通道号
     */
    @Column(length = 11, columnDefinition = "varchar(11)")
    private String channelSeq;

    /**
     * 单元类型
     */
    @Column(length = 11, columnDefinition = "varchar(11)")
    private String unitType;

    /**
     * 节点类型
     */
    @Column(length = 11, columnDefinition = "varchar(11)")
    private String nodeType;

    /**
     * 通道编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String nodeCode;

    /**
     * 报警编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String alarmCode;

    /**
     * 报警状态
     */
    @Column(length = 11, columnDefinition = "varchar(11)")
    private String alarmStat;

    /**
     * 报警类型
     */
    @Column(length = 15, columnDefinition = "varchar(15)")
    private String alarmType;

    /**
     * 报警等级
     */
    @Column(length = 11, columnDefinition = "varchar(11)")
    private String alarmGrade;

    /**
     * 报警图片
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String alarmPicture;

    /**
     * 报警时间
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String alarmDate;

    /**
     * 报警源名称
     */
    @Column(length = 95, columnDefinition = "varchar(95)")
    private String alarmSourceName;

    /**
     * 报警经度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String alarmLongitude;

    /**
     * 报警纬度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String alarmLatitude;

    /**
     * 海拔
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String altitude;

    /**
     * 距离
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fireDistance;

    /**
     * 火点编号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fireId;

    /**
     * 图片地址
     */
    private String picturePath;

    /**
     * 火情状态  0 未处理  1已处理
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fireState;

    public Fire() {
    }

    public Fire(Integer id, String deviceCode, String channelSeq, String unitType, String nodeType, String nodeCode, String alarmCode, String alarmStat, String alarmType, String alarmGrade, String alarmPicture, String alarmDate, String alarmSourceName, String alarmLongitude, String alarmLatitude, String altitude, String fireDistance, String fireId, String picturePath, String fireState) {
        this.id = id;
        this.deviceCode = deviceCode;
        this.channelSeq = channelSeq;
        this.unitType = unitType;
        this.nodeType = nodeType;
        this.nodeCode = nodeCode;
        this.alarmCode = alarmCode;
        this.alarmStat = alarmStat;
        this.alarmType = alarmType;
        this.alarmGrade = alarmGrade;
        this.alarmPicture = alarmPicture;
        this.alarmDate = alarmDate;
        this.alarmSourceName = alarmSourceName;
        this.alarmLongitude = alarmLongitude;
        this.alarmLatitude = alarmLatitude;
        this.altitude = altitude;
        this.fireDistance = fireDistance;
        this.fireId = fireId;
        this.picturePath = picturePath;
        this.fireState = fireState;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getChannelSeq() {
        return channelSeq;
    }

    public void setChannelSeq(String channelSeq) {
        this.channelSeq = channelSeq;
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getNodeCode() {
        return nodeCode;
    }

    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    public String getAlarmCode() {
        return alarmCode;
    }

    public void setAlarmCode(String alarmCode) {
        this.alarmCode = alarmCode;
    }

    public String getAlarmStat() {
        return alarmStat;
    }

    public void setAlarmStat(String alarmStat) {
        this.alarmStat = alarmStat;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmGrade() {
        return alarmGrade;
    }

    public void setAlarmGrade(String alarmGrade) {
        this.alarmGrade = alarmGrade;
    }

    public String getAlarmPicture() {
        return alarmPicture;
    }

    public void setAlarmPicture(String alarmPicture) {
        this.alarmPicture = alarmPicture;
    }

    public String getAlarmDate() {
        return alarmDate;
    }

    public void setAlarmDate(String alarmDate) {
        this.alarmDate = alarmDate;
    }

    public String getAlarmSourceName() {
        return alarmSourceName;
    }

    public void setAlarmSourceName(String alarmSourceName) {
        this.alarmSourceName = alarmSourceName;
    }

    public String getAlarmLongitude() {
        return alarmLongitude;
    }

    public void setAlarmLongitude(String alarmLongitude) {
        this.alarmLongitude = alarmLongitude;
    }

    public String getAlarmLatitude() {
        return alarmLatitude;
    }

    public void setAlarmLatitude(String alarmLatitude) {
        this.alarmLatitude = alarmLatitude;
    }

    public String getAltitude() {
        return altitude;
    }

    public void setAltitude(String altitude) {
        this.altitude = altitude;
    }

    public String getFireDistance() {
        return fireDistance;
    }

    public void setFireDistance(String fireDistance) {
        this.fireDistance = fireDistance;
    }

    public String getFireId() {
        return fireId;
    }

    public void setFireId(String fireId) {
        this.fireId = fireId;
    }

    public String getPicturePath() {
        return picturePath;
    }

    public void setPicturePath(String picturePath) {
        this.picturePath = picturePath;
    }

    public String getFireState() {
        return fireState;
    }

    public void setFireState(String fireState) {
        this.fireState = fireState;
    }

    @Override
    public String toString() {
        return "Fire{" +
                "id=" + id +
                ", deviceCode='" + deviceCode + '\'' +
                ", channelSeq='" + channelSeq + '\'' +
                ", unitType='" + unitType + '\'' +
                ", nodeType='" + nodeType + '\'' +
                ", nodeCode='" + nodeCode + '\'' +
                ", alarmCode='" + alarmCode + '\'' +
                ", alarmStat='" + alarmStat + '\'' +
                ", alarmType='" + alarmType + '\'' +
                ", alarmGrade='" + alarmGrade + '\'' +
                ", alarmPicture='" + alarmPicture + '\'' +
                ", alarmDate='" + alarmDate + '\'' +
                ", alarmSourceName='" + alarmSourceName + '\'' +
                ", alarmLongitude='" + alarmLongitude + '\'' +
                ", alarmLatitude='" + alarmLatitude + '\'' +
                ", altitude='" + altitude + '\'' +
                ", fireDistance='" + fireDistance + '\'' +
                ", fireId='" + fireId + '\'' +
                ", picturePath='" + picturePath + '\'' +
                ", fireState='" + fireState + '\'' +
                '}';
    }
}
