package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/4 11:22
 */
@Entity
@Table(name = "Videotape")
public class Videotape {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "weather_seq_gen")
    @SequenceGenerator(name = "weather_seq_gen", sequenceName = "weather_id_seq",allocationSize = 1)
    private Integer id;
    /**
     * 通道编码
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String channelId;
    /**
     * 录像来源
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String recordSource;
    /**
     * 录像类型
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String recordType;
    /**
     * 开始时间
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String startTime;
    /**
     * 结束时间
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String endTime;
    /**
     * 录像名字
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private  String recordName;
    /**
     * 文件长度
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private  String fileLength;
    /**
     * 录像计划ID
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String planId;
    /**
     * 存储服务ID
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String ssId;
    /**
     * 磁盘ID
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String diskId;
    /**
     * 码流处理(StreamId)
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String streamId;
    /**
     * 是否淡忘
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String forgotten;
    /**
     * 码流类型
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private  String streamType;


}
