package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 天气实体类
 * @Author: XinYi Song
 * @Date: 2022/2/14 10:35
 */
@Entity
@Table(name = "weather")
public class Weather {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "weather_seq_gen")
    @SequenceGenerator(name = "weather_seq_gen", sequenceName = "weather_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 风速
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String windSpeed;

    /**
     * 风向
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String windDirection;

    /**
     * 最高温度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String highTemperature;

    /**
     * 最低温度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String lowTemperature;

    /**
     * 湿度
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String humidity;

    /**
     * 雨量
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String rainfall;

    /**
     * 时间
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String weatherTime;

    /**
     * 白天天气
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String weatherDay;

    /**
     * 夜间天气
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String weatherNight;

    public Weather() {
    }

    public Weather(Integer id, String windSpeed, String windDirection, String highTemperature, String lowTemperature, String humidity, String rainfall, String weatherTime, String weatherDay, String weatherNight) {
        this.id = id;
        this.windSpeed = windSpeed;
        this.windDirection = windDirection;
        this.highTemperature = highTemperature;
        this.lowTemperature = lowTemperature;
        this.humidity = humidity;
        this.rainfall = rainfall;
        this.weatherTime = weatherTime;
        this.weatherDay = weatherDay;
        this.weatherNight = weatherNight;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public String getHighTemperature() {
        return highTemperature;
    }

    public void setHighTemperature(String highTemperature) {
        this.highTemperature = highTemperature;
    }

    public String getLowTemperature() {
        return lowTemperature;
    }

    public void setLowTemperature(String lowTemperature) {
        this.lowTemperature = lowTemperature;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getRainfall() {
        return rainfall;
    }

    public void setRainfall(String rainfall) {
        this.rainfall = rainfall;
    }

    public String getWeatherTime() {
        return weatherTime;
    }

    public void setWeatherTime(String weatherTime) {
        this.weatherTime = weatherTime;
    }

    public String getWeatherDay() {
        return weatherDay;
    }

    public void setWeatherDay(String weatherDay) {
        this.weatherDay = weatherDay;
    }

    public String getWeatherNight() {
        return weatherNight;
    }

    public void setWeatherNight(String weatherNight) {
        this.weatherNight = weatherNight;
    }

    @Override
    public String toString() {
        return "Weather{" +
                "id=" + id +
                ", windSpeed='" + windSpeed + '\'' +
                ", windDirection='" + windDirection + '\'' +
                ", highTemperature='" + highTemperature + '\'' +
                ", lowTemperature='" + lowTemperature + '\'' +
                ", humidity='" + humidity + '\'' +
                ", rainfall='" + rainfall + '\'' +
                ", weatherTime='" + weatherTime + '\'' +
                ", weatherDay='" + weatherDay + '\'' +
                ", weatherNight='" + weatherNight + '\'' +
                '}';
    }
}
