package com.xkrs.service;

import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/11 8:51
 */
public interface FireService {

    /**
     * 根据设备编码获取火情信息
     * @param code
     * @return
     */
    String getFireInformation(String code);

    /**
     * 根据设备编码和时间段查询火情信息
     * @param code
     * @param startTime
     * @param endTime
     * @return
     */
    String selectFireBetweenTime(String code, String startTime, String endTime);

    /**
     * 查询最新三百条火情信息
     * @return
     */
    String findThreeHundredData();

    /**
     * 修改火点状态
     * @param alarmCode
     * @return
     */
    String updateFireState(String alarmCode);
}
